# INIStorage
INIStorage - Класс для работы с INI-файлами (PHP 5.6.1+)<br>
Тестировалось на **PHP 7.4.11**<br>
<br>
Представляю вашему вниманию PHP Class для обработки INI-файлов.<br>
<br>
При помощи данного класса вы облегчите работу с INI-файлами, в наборе инструметов:<br>
**load()** - Позволяет загрузить с path выбранный файл или перезагрузить его<br>
**get()** - Позволяет получить значение у известного ключа<br>
**set()** - Позволяет установить значение у ключа<br>
**def()** - Проверяет существует ли ключ, если нет то создает его<br>
**toArray()** - Позволяет получить INI-файл в виде массива<br>
**save()** - Позволяет сохранить все ваши изменения<br>
**ChangeMode()** - Позволяет сменить режим считывания файла INI<br>
<br>
**Не суйте массивы в set, кодируйте информацию и потом суйте в ini**
<br>
Пример:<br>
```
<?php
include_once 'INIStorage.php';
$ini = new \Piminoff\INIStorage("./demo.ini",false,\Piminoff\INIStorage::MODE_NORMAL);
// 1й параметр: Имя файла
// 2й параметр: Определяет создать ли новый файл в случаи отсутствия файла, в противном случаи выдается ошибка.
// 3й параметр: Определяет режим считывания файла (фнк ChangeMode)

// ВНИМАНИЕ! СРАЗУ ОПРЕДЕЛИТЕСЬ НУЖНЫ ЛИ ВАМ СЕКЦИИ ИЛИ НЕТ!!!

// Получение ключа demo из файла demo.ini без указания секции
$ini->get("demo");
// Получение ключа demo из файла demo.ini с секции section
$ini->get("demo","section");

// Запись данных в ключ demo
$ini->set("demo",1323);
// Запись данных в ключ demo_author в секцию about
$ini->set("demo_author","pimnik98","about");

// Получить данные в виде массива без секций
$list = $ini->toArray(0);

// Получить данные в виде массива c секциzvb
$list2 = $ini->toArray(1);

// Сохранить изменения в файл (0-без секций/1-c секциями)
$ini->save(0);
```
<br>
ВНИМАНИЕ! СРАЗУ ОПРЕДЕЛИТЕСЬ НУЖНЫ ЛИ ВАМ СЕКЦИИ ИЛИ НЕТ!!!<br>
Так как будет разная информация при записи в файл.<br>
